#
#
# qmake configuration for aix-xlc
#

MAKEFILE_GENERATOR	= UNIX
TEMPLATE		= app
CONFIG			+= qt warn_on release resource_fork global_init_link_order lib_version_first plugin_no_soname link_prl

TQMAKE_CC		= xlc
TQMAKE_CC_THREAD		= xlc_r
TQMAKE_LEX		= flex
TQMAKE_LEXFLAGS		= 
TQMAKE_YACC		= yacc
TQMAKE_YACCFLAGS		= -d
TQMAKE_CFLAGS		= -qstrict
TQMAKE_CFLAGS_WARN_ON	=
TQMAKE_CFLAGS_WARN_OFF	=
TQMAKE_CFLAGS_RELEASE	= -O3
TQMAKE_CFLAGS_DEBUG	= -g
TQMAKE_CFLAGS_SHLIB	=
TQMAKE_CFLAGS_YACC	=
TQMAKE_CFLAGS_THREAD	= -qthreaded

TQMAKE_CXX		= xlc++
TQMAKE_CXX_THREAD	= xlc++_r
TQMAKE_CXXFLAGS		= -+ $$TQMAKE_CFLAGS
TQMAKE_CXXFLAGS_WARN_ON	= $$TQMAKE_CFLAGS_WARN_ON
TQMAKE_CXXFLAGS_WARN_OFF	= $$TQMAKE_CFLAGS_WARN_OFF
TQMAKE_CXXFLAGS_RELEASE	= $$TQMAKE_CFLAGS_RELEASE
TQMAKE_CXXFLAGS_DEBUG	= $$TQMAKE_CFLAGS_DEBUG
TQMAKE_CXXFLAGS_SHLIB	= $$TQMAKE_CFLAGS_SHLIB
TQMAKE_CXXFLAGS_YACC	= $$TQMAKE_CFLAGS_YACC
TQMAKE_CXXFLAGS_THREAD	= $$TQMAKE_CFLAGS_THREAD

TQMAKE_INCDIR		=
TQMAKE_LIBDIR		=
TQMAKE_INCDIR_X11	=
TQMAKE_LIBDIR_X11	=
TQMAKE_INCDIR_QT		= $(TQTDIR)/include
TQMAKE_LIBDIR_QT		= $(TQTDIR)/lib
TQMAKE_INCDIR_OPENGL	=
TQMAKE_LIBDIR_OPENGL	=

TQMAKE_LINK		= xlc++
TQMAKE_LINK_THREAD	= xlc++_r
TQMAKE_LINK_SHLIB	= ld
#TQMAKE_LINK_SHLIB_CMD	= makeC++SharedLib -p 0 \
#			    -o $(TARGETD) \
#			    $(LFLAGS) $(OBJECTS) $(OBJTQMOC) $(LIBS); \
#			  $(AR) lib$(TQMAKE_TARGET).a $(TARGETD); \
#			  $(RANLIB) lib$(TQMAKE_TARGET).a; \
#			  mv lib$(TQMAKE_TARGET).a $(DESTDIR)
TQMAKE_LFLAGS		= -headerpad_max_install_names
TQMAKE_LFLAGS_RELEASE	=
TQMAKE_LFLAGS_DEBUG	=
TQMAKE_LFLAGS_SHLIB	= -prebind -qmkshrobj
TQMAKE_LFLAGS_PLUGIN	= -bundle
TQMAKE_LFLAGS_SONAME	=
#TQMAKE_LFLAGS_THREAD	= -L/usr/lib/threads
#TQMAKE_AIX_SHLIB		= 1
TQMAKE_LFLAGS_VERSION    = -current_version$${LITERAL_WHITESPACE}
TQMAKE_LFLAGS_COMPAT_VERSION = -compatibility_version$${LITERAL_WHITESPACE}

TQMAKE_LIBS		=
TQMAKE_LIBS_DYNLOAD	=
TQMAKE_LIBS_QT		= -lqt
TQMAKE_LIBS_TQT_THREAD	= -lqt-mt
TQMAKE_LIBS_OPENGL	= -framework OpenGL -framework AGL
TQMAKE_LIBS_OPENGL_QT	= $$TQMAKE_LIBS_OPENGL
#TQMAKE_LIBS_THREAD	= -lpthreads

TQMAKE_TQMOC		= $(TQTDIR)/bin/tqmoc
TQMAKE_UIC		= $(TQTDIR)/bin/uic

TQMAKE_AR		= ar cq
TQMAKE_RANLIB		= ranlib -s

TQMAKE_TAR		= tar -cf
TQMAKE_GZIP		= gzip -9f

TQMAKE_COPY		= cp -f
TQMAKE_COPY_FILE         = $$TQMAKE_COPY
TQMAKE_COPY_DIR          = $$TQMAKE_COPY -r
TQMAKE_MOVE		= mv -f
TQMAKE_DEL_FILE		= rm -f
TQMAKE_DEL_DIR		= rmdir
TQMAKE_CHK_DIR_EXISTS	= test -d
TQMAKE_MKDIR		= mkdir -p
